Subject: Re: bug#48335: Emacs is broken

From: Xinglu Chen <[email-masked]>
Date: Wed, 12 May 2021 11:34:19 +0200

On Wed, May 12 2021, Leo Prikler wrote:

>> Hmm, ldd doesn’t list any libraries for me
>> 
>> --8<---------------cut here---------------start------------->8---
>> $ ldd /gnu/store/nvddirc1j6f031zhcwnkd0zrpjc10dyc-profile/bin/emacs
>> 	not a dynamic executable
>> --8<---------------cut here---------------end--------------->8---
> The "emacs" command is just a wrapper, you'll have to resolve the
> correct .emacs-real (in this case .emacs-27.2-real).

Oh, I should have known that...

Running ldd on the real binary yields this.

--8<---------------cut here---------------start------------->8---
$ ldd /gnu/store/xmsccg3lvgxjll605xs4ffw00in7vz66-emacs-27.2/bin/.emacs-27.2-real | grep m17
	libm17n-core.so.0 => not found
	libm17n-flt.so.0 => not found
--8<---------------cut here---------------end--------------->8---

But libm17 exists in my store.

--8<---------------cut here---------------start------------->8---
0yqxlr0kbjilw48qscf7pfh4l7ys2k7v-m17n-lib-1.8.0-guile-builder
2lyzzw7ybsm3s2n7fgqm17n33n62dl7c-mesa-20.2.4/
2m2hnv9hlrfjdzc1c4xxqgjdbbgj46vq-m17n-lib-1.8.0.drv
2nq943kc7ksch4q5f0ym073iw2gyqgy0-m17n-lib-1.8.0.drv
3b7987inhi3yg5bbqhv5b6brv9rm807d-m17n-db-1.8.0.tar.gz.drv
8dgcc76g6xjrgykf8vd5kv8lk8qqbvwh-m17n-lib-1.8.0/
9jv7xsfhp4m5pxfb95iwyg46l3g3mfb3-m17n-db-1.8.0/
akfwmc4xfpjsx91zpyvgy2q4g7nbaydw-m17n-lib-1.8.0.drv
cq1zm0nik02s1d0d52picipaq26m3d4q-m17n-db-1.8.0.drv
f92dm4mbv4wrzyj3x1886fr5h16lxq9q-m17n-lib-1.8.0.drv
ka96jmddzi1yqncpacl98qcvqbyflk0p-m17n-lib-1.8.0.tar.gz.drv
l7izhc1ws4x6jgsxl9ir0nxqcinjah01-m17n-db-1.8.0.tar.gz.drv
ml2z24n2ysa8jlsq4dl8fmi7whhklviw-m17n-lib-1.8.0/
n58jdhm4wxxrw6v2p0c8hd56r9k9f3yy-m17n-lib-1.8.0.drv
pdwv15zmghndkqy5473v1hxgibmvzvlz-m17n-lib-1.8.0/
pxi39yl5qv6jh67n0x4wckvjh1g16nh5-m17n-db-1.8.0.drv
r2r82m88cpqxra3hdjpk843ji50infpc-m17n-lib-1.8.0.drv
s3001awd1li30n3fzi6nna3fml62h8y9-m17n-lib-1.8.0-guile-builder
w1vl0f9vwnqjc92zjlcj8vyl49m1s2bm-m17n-lib-1.8.0.tar.gz.drv
wkgm6jqz6s6rjxw2z9nqvj3b3agafd0l-m17n-lib-1.8.0-guile-builder
xzymd2m17n2djch1j90dvqirqp9iy0zx-dbus-glib-0.110/
y8ywqmpy9frkn0wpinbypjmmgp2f3wcx-m17n-lib-1.8.0-guile-builder
yb1q28dq5wi93qzkcbszgqsgqg3234c0-m17n-db-1.8.0.drv
yf9i0d9q92gkx6vmn8hvb0crjplrbfdd-m17n-db-1.8.0-guile-builder
--8<---------------cut here---------------end--------------->8---

>> I am now bisecting commit 5866fa558b68b3e0213b9eef93d115e6e38dcc2a, I
>> don’t think it should be related to the changes to the
>> ‘emacs-build-system’.
> The wip-ungrafting merge?

Yup.

>> This doesn’t seem to help either, and as I wrote above, ldd doesn’t
>> list any libraries for Emacs.  Interestingly, this also seems to be
>> the case with ‘emacs-native-comp’ from the flatwatson channel[1], but
>> the binary works fine (I am using it to write this email).
> As before, /bin/emacs is just a shell script, it can't work with ldd :(

‘emacs-native-comp’ doesn’t seem to refer to libm17n at all.

--8<---------------cut here---------------start------------->8---
$ ldd /gnu/store/0drwnvfnfnz486m3vz4ddnd4x91za5m5-emacs-native-comp-28.0.50-165.25c775b/bin/.emacs-28.0.50-real | grep m17

--8<---------------cut here---------------end--------------->8---